Subject: Re: NAND command line partiions

From: Scott Wood <[email-masked]>
Date: Thu, 1 May 2008 14:01:04 -0500

On Thu, May 01, 2008 at 11:24:35AM -0700, Ronald Madrid wrote:
> I am using u-boot-1.3.1 in order to boot linux 2.6.25 on a custom MPC8313
> based board.  In past versions of the kernel I was able to pass the NAND
> partition information to the kernel with this line: root=/dev/mtdblock2
> rootfstype=jffs2 rw console=ttyS0,115200
> mtdparts=nand0:1M(u-boot),3M(kernel),-(jffs2).  In this latest version the
> kernel will not mount the partitions because the name that is parsed from
> the command line (nand0) is different from that of the name of the NAND
> that comes from ./drivers/mtd/nand/nand_ids.c (NAND 256MiB 3,3V 8-bit).

This is fixed in the current mtd tree (commit 9ebed3e60f9, fsl_elbc_nand:
fix mtd name).

> I have tried to change the name of the NAND that is passed in via the
> command line, but u-boot does not seem to like the format of the name that
> linux compares against.  It doesn't like the ,(comma) in 3,3V.

Why would u-boot care about the format of the kernel command line?

-Scott